// src/global.d.ts
interface Window {
	electron: {
		startWebSocket: (port: number) => void;
		stopWebSocket: () => void;
		openDevTools: () => void;
		onWebSocketStatus: (callback: (message: string) => void) => void;
		onLogMessage: (callback: (message: string) => void) => void;  // 添加這行以處理日誌消息
		env: { PORT: string; };
	};
}
